$(document).ready(function(){

    $('input[type="range"]').rangeslider({
      // Feature detection the default is `true`.
        // Set this to `false` if you want to use
        // the polyfill also in Browsers which support
        // the native <input type="range"> element.
        polyfill: false,
    
        // Default CSS classes
        rangeClass: 'rangeslider',
        disabledClass: 'rangeslider--disabled',
        horizontalClass: 'rangeslider--horizontal',
        fillClass: 'rangeslider__fill',
        handleClass: 'rangeslider__handle',
    
        // Callback function
        onInit: function() {
          $rangeEl = this.$range;
          // add value label to handle
          var $handle = $rangeEl.find('.rangeslider__handle');
          var handleValue = '<div class="rangeslider__handle__value">' + this.value + '</div>';
          $handle.append(handleValue);
          
          // get range index labels 
          var rangeLabels = this.$element.attr('labels');
          rangeLabels = rangeLabels.split(', ');
          
          // add labels
          $rangeEl.append('<div class="rangeslider__labels"></div>');
          $(rangeLabels).each(function(index, value) {
            $rangeEl.find('.rangeslider__labels').append('<span class="rangeslider__labels__label">' + value + '</span>');
          })
        },
    
        // Callback function
        onSlide: function(position, value) {
          var $handle = this.$range.find('.rangeslider__handle__value');
          $handle.text(this.value);
        },
    
        // Callback function
        onSlideEnd: function(position, value) {}
    });


      $(".innerParent").mCustomScrollbar({
        theme: "dark",
        scrollButtons: {enable:true}
      });


      $(".commonSelect").select2({
        minimumResultsForSearch: Infinity
      });

    $(document).on("click",".navDiv a[href^='#']",function(e){
      var href=$(this).attr("href"),target=$(href).parents(".mCustomScrollbar"); 
      if(target.length){
        e.preventDefault();
        target.mCustomScrollbar("scrollTo",href);
      }
    });

    $('ul.tabs li').click(function(){
      var tab_id = $(this).attr('data-tab');
  
      $('ul.tabs li').removeClass('current');
      $('.tab-content').removeClass('current');
  
      $(this).addClass('current');
      $("#"+tab_id).addClass('current');
    })


 

      $(".quoteWrap li").click(function() {
        $(".quoteWrap li").removeClass('active');
        $(".quoteWrap li .dropDiv").hide();

        $(this).addClass('active');
        $(this).find('.dropDiv').slideDown('slow');
      });


      $('.geneRateQuote').click(function(){

          $('.dropSection.firstDrop').slideDown('slow');

      });

      
      $('.dropClose').click(function(){

        $('.dropSection.firstDrop').slideUp('slow');

      });


      $('.getQuote').click(function(){

        $('.recalDiv.indicative').css('max-width', '450px');
        $('.innerDetailsWrap .detailsWrap.coveDet').show('fast');
        
      });


      $('.backlinkIn').click(function(){

        $('.recalDiv.indicative').css('max-width', '0px');
        $('.innerDetailsWrap .detailsWrap.coveDet').hide('fast');
      
      });



      // $('.getQuote').click(function(){

      //   $('.recalDiv.recalulate').css('max-width', '450px');
      //   $('.innerDetailsWrap .detailsWrap.coveDet').show('fast');
        
      // });


      // $('.backlinkIn').click(function(){

      //   $('.recalDiv.recalulate').css('max-width', '0px');
      //   $('.innerDetailsWrap .detailsWrap.coveDet').hide('fast');
      
      // });


      
      var $rangeslider = $('#js-amount-range');
      var $amount = $('#js-amount-input');
      
      $rangeslider
        .rangeslider({
          polyfill: false
        })
        .on('input', function() {
          $amount[0].value = this.value;
        });
      
      $amount.on('input', function() {
        $rangeslider.val(this.value).change();
      });
      

      $('.secondSearch').click(function(){

        $('.innerSearch.second').show();
        $('.innerSearch.first').hide();

      });

      $('.btnSearch.btnBack').click(function(){

        $('.innerSearch.second').hide();
        $('.innerSearch.first').show();

      });

      $(".header .navMenu .quoteDiv .userProf").click(function(){
        $(".header .navMenu .quoteDiv .userProf .floatMenu").slideToggle('fast');
        return false;
      });

      $('.addSecondHolder').click(function(){

          $('.appdetailsWrap.inner').slideDown('slow');
          $('.deleteSecondHolder').css('display', 'inline-block');
          $(this).hide();

      });

      $('.deleteSecondHolder').click(function(){

        $('.appdetailsWrap.inner').slideUp('slow');
        $('.addSecondHolder').slideDown('slow');
        $(this).hide();
    });

      $(window).scroll(function() {
        if ($(this).scrollTop() > 50){  
            $('.headerCont').addClass("sticky");
        }
        else{
            $('.headerCont').removeClass("sticky");
        }
      });

      $('#checkbox1').change(function () {
        if (!this.checked) 
      
           $('#autoUpdate').slideDown('slow');
        else 
            $('#autoUpdate').slideUp('slow');
      });

      $('#checkbox12').change(function () {
        if (!this.checked) 
      
           $('.showName').slideUp('slow');
        else 
            $('.showName').slideDown('slow');
      });

      $('.yesOpt.term').click(function () {
          $('.rented').fadeIn('slow');
      });

      $('.noOpt.term').click(function () {
        $('.rented').fadeOut('slow');
      });

      $('.yesOpt.exotic').click(function () {
        $('.appHide.exotic').slideDown('slow');
      });

      $('.noOpt.exotic').click(function () {
        $('.appHide.exotic').slideUp('slow');
      });

      $('.yesOpt.owner').click(function () {
        $('.appHide.owner').slideUp('slow');
      });

      $('.noOpt.owner').click(function () {
        $('.appHide.owner').slideDown('slow');
      });


      $('.yesOpt.profile').click(function () {
        $('.appHide.profile').slideDown('slow');
      });

      $('.noOpt.profile').click(function () {
        $('.appHide.profile').slideUp('slow');
      });

      $('.navTab').click(function(){

        if(!$(this).hasClass('active'))
        {
          $(this).addClass('active');
        }
        else{
          $(this).removeClass('active');
        }
      });


      $('.yesOpt.dwelling').click(function () {
        $('.inputDiv.roofUpdate').css('opacity', '1').css('visibility', 'visible')
      });

      $('.noOpt.dwelling').click(function () {
        $('.inputDiv.roofUpdate').css('opacity', '0').css('visibility', 'hidden')
        $('.inputDiv.rootPartial').css('opacity', '0').css('visibility', 'hidden')
        $('.dwellingLink').hide();
      });

      $('.yesOpt.Updated').click(function () {
        $('.inputDiv.rootPartial').css('opacity', '1').css('visibility', 'visible')
        $('.dwellingLink').show();

      });

      $('.noOpt.Updated').click(function () {
        $('.inputDiv.rootPartial').css('opacity', '0').css('visibility', 'hidden')
        $('.dwellingLink').hide();
      });

      $('.yesOpt.Plumbing').click(function () {
        $('.inputDiv.PlumbingPartial').css('opacity', '1').css('visibility', 'visible')
        $('.plumbingLink').show();
      });

      $('.noOpt.Plumbing').click(function () {
        $('.inputDiv.PlumbingPartial').css('opacity', '0').css('visibility', 'hidden')
        $('.plumbingLink').hide();
      });


      $('.yesOpt.Heating').click(function () {
        $('.inputDiv.HeatingPartial').css('opacity', '1').css('visibility', 'visible')
        $('.heatingLink').show();
      });

      $('.noOpt.Heating').click(function () {
        $('.inputDiv.HeatingPartial').css('opacity', '0').css('visibility', 'hidden')
        $('.heatingLink').hide();
      });

      $('.yesOpt.Electrical').click(function () {
        $('.inputDiv.ElectricalPartial').css('opacity', '1').css('visibility', 'visible')
        $('.electricalLink').show();
      });

      $('.noOpt.Electrical').click(function () {
        $('.inputDiv.ElectricalPartial').css('opacity', '0').css('visibility', 'hidden')
        $('.electricalLink').hide();
      });


      $('.yesOpt.windClick').click(function () {
        $('.windDeduct').show();
        
      });

      $('.noOpt.windClick').click(function () {
        $('.windDeduct').hide();
        
      });


      $('.yesOpt.windClick').click(function () {
        $('.securityWrap .secuInner.coverageAdd.windDeduct19').show();
        
      });

      $('.noOpt.windClick').click(function () {
        $('.securityWrap .secuInner.coverageAdd.windDeduct19').hide();
        
      });


      $(".leftContentWrap").mCustomScrollbar({
        theme: "dark",
        scrollButtons: {enable:true}
      });



      $(window).scroll(function() {
        if ($(this).scrollTop() > 50){  
            $('.saveActionStrip').slideDown("slow");
        }
        else{
            $('.saveActionStrip').slideUp("slow");
        }
      });


      if($(".inputCalender").length > 0){
        var picker1 = $(".inputCalender").flatpickr({
          altInput: true,
          altFormat: "F j, Y",
          dateFormat: "F j, Y",
          defaultDate: "",
        });

        $(".calenderWrap .calender").click(function(){
          setTimeout(function(){
            picker1.open();
          }, 0);
        });
    }
});

